Skip to main content
GET
/
v1
/
customers
/
{id}
Get customer
curl --request GET \
  --url https://api.platnova.com/v1/customers/{id} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.platnova.com/v1/customers/{id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.platnova.com/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": true,
  "data": {
    "id": "43a2b75e-5c59-429e-872a-2a54c7b17e34",
    "email": "[email protected]",
    "first_name": "John",
    "last_name": "Doe",
    "country_code": "NGA",
    "phone": "90123456789",
    "dial_code": "+234",
    "created_at": "2025-07-22T00:17:49.238398+01:00",
    "updated_at": "2025-07-22T00:17:49.713464+01:00",
    "status": "APPROVAL_PENDING",
    "meta": {
      "date_of_birth": "",
      "employment_status": "employed",
      "expected_monthly_income": "0_4999",
      "primary_purpose": "payments_to_friends_or_family_abroad",
      "source_of_funds": "salary",
      "most_recent_occupation": "engineering",
      "document": {
        "docs": null,
        "number": "",
        "country": "",
        "id_type": "",
        "valid_until": "",
        "provider": 0,
        "additional": null,
        "gender": ""
      },
      "address": {
        "street": "12 Lekki Lane",
        "city": "Lekki",
        "state": "Lagos",
        "country": "Nigeria",
        "postal_code": "200123",
        "document": {
          "id_type": "",
          "issue_country": "",
          "urls": null
        }
      },
      "providers": null
    }
  },
  "error": [],
  "message": "operation was successful"
}
{
"status": false,
"data": {},
"error": [],
"message": "customer was not found"
}

Overview

Retrieve detailed information about an individual customer based on their unique ID. This endpoint allows you to view the customer’s profile, including status, KYC information, and associated metadata.

Authorizations

X-API-KEY
string
header
required

API key for authentication.

Path Parameters

id
string
required

The ID of the customer to retrieve.

Response

200 - Success

status
boolean
data
object
error
any[]
message
string